XmStringCreate(3Xm)

NAME
XmStringCreate — a compound string function that creates a compound string.

SYNOPSIS
#include <Xm/Xm.h>

XmString XmStringCreate (text, charset)
    char    * text;
    XmStringCharSet    charset;

DESCRIPTION
XmStringCreate creates a compound string with two components: text and a character set.

text
    Specifies a pointer to a null terminated string.

charset
    Specifies the character set identifier to be associated with the given text. This can be XmSTRING_DEFAULT_CHARSET.

RETURN VALUE
Returns a new compound string.

RELATED INFORMATION
XmFontListAdd(3Xm), XmFontListCreate(3Xm), XmFontListFree(3Xm), XmStringBaseline(3Xm), XmStringByteCompare(3Xm), XmStringCompare(3Xm), XmStringConcat(3Xm), XmStringCopy(3Xm), XmStringCreateLtoR(3Xm), XmStringDirectionCreate(3Xm), XmStringDraw(3Xm), XmStringDrawImage(3Xm), XmStringDrawUnderline(3Xm), XmStringEmpty(3Xm), XmStringExtent(3Xm), XmStringFree(3Xm), XmStringFreeContext(3Xm), XmStringGetLtoR(3Xm), XmStringGetNextComponent(3Xm), XmStringGetNextSegment(3Xm), XmStringHeight(3Xm), XmStringInitContext(3Xm), XmStringLength(3Xm), XmStringLineCount(3Xm), XmStringNConcat(3Xm), XmStringNCopy(3Xm), XmStringPeekNextComponent(3Xm), XmStringSegmentCreate(3Xm), XmStringSeparatorCreate(3Xm), and XmStringWidth(3Xm).